<?php 
$InformationSystem = & singleton('InformationSystem');

/* Код информационной системы */
$InformationSystem_id = to_int($GLOBALS['LA']['InformationSystemID']);

/* Код выводимой группы */
$information_groups_id = $GLOBALS['LA']['InformationGroupsID'];

if ($information_groups_id == 0)
{
	$information_groups_id = false;
}

/* Число выводимых элементов в ленте */
$items_on_page = to_int($GLOBALS['LA']['ItemCount']);

/* Позиция, с которой начинается вывод элементов */
$items_begin = to_int($GLOBALS['LA']['ItemBegin']);

$property=array();

/* Показывать в формате Yandex:full-text */
$property['yandex:full-text'] = to_bool($GLOBALS['LA']['Fulltext']);

/* Удалять теги из RSS */
$property['strip-tags'] = to_bool($GLOBALS['LA']['StripTags']);

/* Заголовок RSS-канала */
if (!empty($GLOBALS['LA']['RssTitle']))
{
	$property['title'] = to_str($GLOBALS['LA']['RssTitle']);
}

/* Описание RSS-канала */
if (!empty($GLOBALS['LA']['RssDescription']))
{
	$property['description'] = to_str($GLOBALS['LA']['RssDescription']);
}

/* URL RSS-канала */
if (!empty($GLOBALS['LA']['RssURL']))
{
	$property['link'] = to_str($GLOBALS['LA']['RssURL']);
}

/* Отображать изображение для информационного элемента в RSS */
$property['show-image'] = to_bool($GLOBALS['LA']['ShowImage']);

/* Изображение для RSS-канала (URL) */
if (!empty($GLOBALS['LA']['RssImage']))
{
	$property['image']['url'] = to_str($GLOBALS['LA']['RssImage']);
	$property['image']['title'] = to_str($GLOBALS['LA']['RssTitle']);
	$property['image']['link'] = to_str($GLOBALS['LA']['RssURL']);
}

$InformationSystem->ShowInformationSystemRss($InformationSystem_id,$information_groups_id,$items_on_page,$items_begin,$property);
exit();
?>